<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/unzip_failure_dialog_background"
        app:layout_constraintBottom_toBottomOf="@id/cancel"
        app:layout_constraintLeft_toLeftOf="@id/head_background"
        app:layout_constraintRight_toRightOf="@id/head_background"
        app:layout_constraintTop_toTopOf="@id/head_background" />

    <ImageView
        android:id="@+id/head_background"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@drawable/dialog_unzip_failure_head_background"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="14sp"
        android:includeFontPadding="false"
        android:text="温馨提示"
        android:textColor="@color/text_title"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="@id/head_background"
        app:layout_constraintRight_toRightOf="@id/head_background"
        app:layout_constraintTop_toBottomOf="@id/head_background" />

    <TextView
        android:id="@+id/content"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="14dp"
        android:includeFontPadding="false"
        android:lineSpacingExtra="4dp"
        android:paddingLeft="24dp"
        android:paddingRight="24dp"
        android:text="数据包格式、设备兼容性…等均有可能导致解压失败，敬请谅解。提交反馈可以帮助我们改进。"
        android:textColor="@color/text_subtitle"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="@id/head_background"
        app:layout_constraintRight_toRightOf="@id/head_background"
        app:layout_constraintTop_toBottomOf="@id/title" />

    <View
        android:id="@+id/content_dividing_line"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="22dp"
        android:background="@color/background"
        app:layout_constraintLeft_toLeftOf="@id/head_background"
        app:layout_constraintRight_toRightOf="@id/head_background"
        app:layout_constraintTop_toBottomOf="@id/content" />

    <TextView
        android:id="@+id/cancel"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:paddingTop="18dp"
        android:paddingBottom="18dp"
        android:text="关闭"
        android:textColor="@color/text_title"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="@id/head_background"
        app:layout_constraintRight_toLeftOf="@id/confirm"
        app:layout_constraintTop_toBottomOf="@id/content_dividing_line" />

    <TextView
        android:id="@+id/confirm"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:paddingTop="18dp"
        android:paddingBottom="18dp"
        android:text="提交反馈"
        android:textColor="@color/theme_font"
        android:textSize="14sp"
        app:layout_constraintLeft_toRightOf="@id/cancel"
        app:layout_constraintRight_toRightOf="@id/head_background"
        app:layout_constraintTop_toBottomOf="@id/content_dividing_line" />

    <View
        android:layout_width="1dp"
        android:layout_height="0dp"
        android:background="@color/background"
        app:layout_constraintBottom_toBottomOf="@id/cancel"
        app:layout_constraintLeft_toLeftOf="@id/head_background"
        app:layout_constraintRight_toRightOf="@id/head_background"
        app:layout_constraintTop_toTopOf="@id/cancel" />

</androidx.constraintlayout.widget.ConstraintLayout>